FROM --platform=linux/amd64 pytorch/pytorch:latest

COPY requirements.txt /tmp/requirements.txt
RUN pip install -r /tmp/requirements.txt && rm /tmp/requirements.txt

WORKDIR /app
COPY app.py /app/app.py
COPY utils.py /app/utils.py

CMD ["streamlit", "run", "/app/app.py"]
